package io.renren.modules.admin.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.ScheduleDao;
import io.renren.modules.admin.entity.ScheduleEntity;
import io.renren.modules.admin.service.ScheduleService;


@Service("scheduleService")
public class ScheduleServiceImpl extends ServiceImpl<ScheduleDao, ScheduleEntity> implements ScheduleService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ScheduleEntity> page = this.page(
                new Query<ScheduleEntity>().getPage(params),
                new QueryWrapper<ScheduleEntity>()
        );

        return new PageUtils(page);
    }

}